List contact properties

GET
/v1/contact_properties

Every custom contact property of the API key's environment (at most 50), by key.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The properties.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.contacts.properties.list();
{  "object": "list",  "data": [    {      "object": "contact_property",      "id": "cprop_01k7c8m4q2f3e9v6t5r1n0p8yz",      "key": "plan",      "type": "string",      "fallback": "free",      "created_at": "2026-10-10T12:00:00.000Z",      "updated_at": "2026-10-10T12:00:00.000Z"    }  ],  "has_more": false}